import {VButton} from './vwc/sources/standard/button.js';
import {FCollisionChecker} from './vwc/sources/standard/collision.js';
import {FCondition} from './vwc/sources/standard/condition.js';
import {FFlowMethodExecution} from './vwc/sources/standard/flowmethodexecution.js';
import {VImage} from './vwc/sources/standard/image.js';
import {VInterval} from './vwc/sources/standard/interval.js';
import {VLabel} from './vwc/sources/standard/label.js';
import {VPanel} from './vwc/sources/standard/panel.js';
import {FPropertySetter} from './vwc/sources/standard/propertysetter.js';
import {FSceneChanger} from './vwc/sources/standard/scenechanger.js';
import {VShape} from './vwc/sources/standard/shape.js';
import {FVariable} from './vwc/sources/standard/variable.js';

import {VApplication} from "./vwc/sources/standard/application.js";
import {VAppScene} from "./vwc/sources/standard/appscene.js";
import {_UIT} from "./vwc/sources/standard/localization_ui.js";
import {_UGF} from "./vwc/sources/standard/globalfunction.js";
import {Scene2} from './scene2.js';
/**
 * SceneGui
 * ========
 * This is the Graphical User Interface (GUI) of Scene
 * @see Scene
 */
export class SceneGui extends VAppScene
{
  constructor(owner)
  {
  	super(owner);
  	if (VApplication.designTime)
  	{
  		VApplication._sceneClass = 'SceneGui';
  	}
		this.name = 'Scene';
		this.position.height = "96.323%";
		this.position.width = "98.832%";
		this.popupMenu = null;
		this.animation.threshold = 0;
		this.animation.duration = 500;
		this.padding.top = 0;
		this.padding.right = 0;
		this.padding.bottom = 0;
		this.padding.left = 0;
		this.opacity = 1;
		this.floating = "full";
		this.scrollBars.horizontal = false;
		this.scrollBars.vertical = false;
		this.borderRadius.northEast = '';
		this.backgroundColor = "#abf0ff";
		this.setEventName("onHandshake", "[flowAdapter]");
		this.YChecker = new VInterval(this);
		this.YChecker.name = 'YChecker';
		this.XChecker = new VInterval(this);
		this.XChecker.name = 'XChecker';
		this.image7 = new VImage(this);
		this.image7.name = 'image7';
		this.image1 = new VImage(this);
		this.image1.name = 'image1';
		this.image5 = new VImage(this);
		this.image5.name = 'image5';
		this.image3 = new VImage(this);
		this.image3.name = 'image3';
		this.image2 = new VImage(this);
		this.image2.name = 'image2';
		this.gameover = new VPanel(this);
		this.gameover.name = 'gameover';
		this.image4 = new VImage(this);
		this.image4.name = 'image4';
		this.image6 = new VImage(this);
		this.image6.name = 'image6';
		this.top = new VPanel(this);
		this.top.name = 'top';
		this.leftzone = new VPanel(this);
		this.leftzone.name = 'leftzone';
		this.rightzone = new VPanel(this);
		this.rightzone.name = 'rightzone';
		this.pong = new VShape(this);
		this.pong.name = 'pong';
		this.panel1 = new VPanel(this);
		this.panel1.name = 'panel1';
		this.label1 = new VLabel(this);
		this.label1.name = 'label1';
		this.panel2 = new VPanel(this);
		this.panel2.name = 'panel2';
		this.right_button = new VButton(this.panel2);
		this.right_button.name = 'right_button';
		this.left_button = new VButton(this.panel2);
		this.left_button.name = 'left_button';
		this.flowAdapter.flow3 = new FVariable(this.flowAdapter);
		this.flowAdapter.flow3.name = 'flow3';
		this.flowAdapter.flow4 = new FVariable(this.flowAdapter);
		this.flowAdapter.flow4.name = 'flow4';
		this.flowAdapter.flow8 = new FCondition(this.flowAdapter);
		this.flowAdapter.flow8.name = 'flow8';
		this.flowAdapter.flow9 = new FFlowMethodExecution(this.flowAdapter);
		this.flowAdapter.flow9.name = 'flow9';
		this.flowAdapter.flow10 = new FFlowMethodExecution(this.flowAdapter);
		this.flowAdapter.flow10.name = 'flow10';
		this.flowAdapter.flow12 = new FCollisionChecker(this.flowAdapter);
		this.flowAdapter.flow12.name = 'flow12';
		this.flowAdapter.flow13 = new FCollisionChecker(this.flowAdapter);
		this.flowAdapter.flow13.name = 'flow13';
		this.flowAdapter.flow14 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow14.name = 'flow14';
		this.flowAdapter.flow15 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow15.name = 'flow15';
		this.flowAdapter.flow17 = new FCondition(this.flowAdapter);
		this.flowAdapter.flow17.name = 'flow17';
		this.flowAdapter.flow18 = new FFlowMethodExecution(this.flowAdapter);
		this.flowAdapter.flow18.name = 'flow18';
		this.flowAdapter.flow19 = new FFlowMethodExecution(this.flowAdapter);
		this.flowAdapter.flow19.name = 'flow19';
		this.flowAdapter.flow20 = new FCollisionChecker(this.flowAdapter);
		this.flowAdapter.flow20.name = 'flow20';
		this.flowAdapter.flow21 = new FCollisionChecker(this.flowAdapter);
		this.flowAdapter.flow21.name = 'flow21';
		this.flowAdapter.flow22 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow22.name = 'flow22';
		this.flowAdapter.flow23 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow23.name = 'flow23';
		this.flowAdapter.flow29 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow29.name = 'flow29';
		this.flowAdapter.flow30 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow30.name = 'flow30';
		this.flowAdapter.flow31 = new FCollisionChecker(this.flowAdapter);
		this.flowAdapter.flow31.name = 'flow31';
		this.flowAdapter.flow32 = new FFlowMethodExecution(this.flowAdapter);
		this.flowAdapter.flow32.name = 'flow32';
		this.flowAdapter.flow33 = new FFlowMethodExecution(this.flowAdapter);
		this.flowAdapter.flow33.name = 'flow33';
		this.flowAdapter.flow34 = new FCollisionChecker(this.flowAdapter);
		this.flowAdapter.flow34.name = 'flow34';
		this.flowAdapter.flow35 = new FSceneChanger(this.flowAdapter);
		this.flowAdapter.flow35.name = 'flow35';
		this.flowAdapter.flow36 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow36.name = 'flow36';
		this.flowAdapter.flow37 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow37.name = 'flow37';
		this.flowAdapter.flow38 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow38.name = 'flow38';
		this.flowAdapter.flow39 = new FPropertySetter(this.flowAdapter);
		this.flowAdapter.flow39.name = 'flow39';

		this.YChecker.timeout = 10;
		this.YChecker.active = false;
		this.YChecker.setEventName("onInterval", "[flowAdapter]");
		this.XChecker.timeout = 25;
		this.XChecker.active = false;
		this.XChecker.setEventName("onInterval", "[flowAdapter]");
		this.image7.position.top = "520px";
		this.image7.position.left = "140px";
		this.image7.position.height = "220px";
		this.image7.position.width = "130px";
		this.image7.popupMenu = null;
		this.image7.animation.threshold = 0;
		this.image7.animation.duration = 500;
		this.image7.padding.top = 0;
		this.image7.padding.right = 0;
		this.image7.padding.bottom = 0;
		this.image7.padding.left = 0;
		this.image7.opacity = 1;
		this.image7.source = "media%2Fimage%2F2002072F-C0C3-46CF-AC40-003A2047BE76.PNG";
		this.image7.shadow = '';
		this.image1.position.top = "590px";
		this.image1.position.left = "40px";
		this.image1.position.height = "120px";
		this.image1.position.width = "250px";
		this.image1.popupMenu = null;
		this.image1.animation.threshold = 0;
		this.image1.animation.duration = 500;
		this.image1.padding.top = 0;
		this.image1.padding.right = 0;
		this.image1.padding.bottom = 0;
		this.image1.padding.left = 0;
		this.image1.opacity = 0.5;
		this.image1.source = "media%2Fimage%2F03E54C7F-4BA2-4368-84D4-5C01B7515D80.png";
		this.image1.shadow = '';
		this.image5.position.top = "430px";
		this.image5.position.right = "-17px";
		this.image5.position.left = '';
		this.image5.position.height = "160px";
		this.image5.position.width = "170px";
		this.image5.popupMenu = null;
		this.image5.animation.threshold = 0;
		this.image5.animation.duration = 500;
		this.image5.padding.top = 0;
		this.image5.padding.right = 0;
		this.image5.padding.bottom = 0;
		this.image5.padding.left = 0;
		this.image5.responsiveVisibility.mobile = false;
		this.image5.opacity = 1;
		this.image5.source = "media%2Fimage%2F0E683F43-1A59-49FF-A8FE-69D319BA96DD.png";
		this.image5.shadow = '';
		this.image3.position.top = "180px";
		this.image3.position.left = "100px";
		this.image3.position.height = "100px";
		this.image3.position.width = "160px";
		this.image3.popupMenu = null;
		this.image3.animation.threshold = 0;
		this.image3.animation.duration = 500;
		this.image3.padding.top = 0;
		this.image3.padding.right = 0;
		this.image3.padding.bottom = 0;
		this.image3.padding.left = 0;
		this.image3.opacity = 1;
		this.image3.source = "media%2Fimage%2F0E683F43-1A59-49FF-A8FE-69D319BA96DD.png";
		this.image3.shadow = '';
		this.image2.position.top = "60px";
		this.image2.position.left = "490px";
		this.image2.position.height = "110px";
		this.image2.position.width = "160px";
		this.image2.popupMenu = null;
		this.image2.animation.threshold = 0;
		this.image2.animation.duration = 500;
		this.image2.padding.top = 0;
		this.image2.padding.right = 0;
		this.image2.padding.bottom = 0;
		this.image2.padding.left = 0;
		this.image2.opacity = 0.6;
		this.image2.source = "media%2Fimage%2FB46C5394-7D6D-45EC-88FF-C1EE2E17DD7F.PNG";
		this.image2.shadow = '';
		this.gameover.position.top = '';
		this.gameover.position.right = "0";
		this.gameover.position.bottom = "180px";
		this.gameover.position.left = "0px";
		this.gameover.position.height = "30px";
		this.gameover.popupMenu = null;
		this.gameover.animation.threshold = 0;
		this.gameover.animation.duration = 500;
		this.gameover.padding.top = 0;
		this.gameover.padding.right = 0;
		this.gameover.padding.bottom = 0;
		this.gameover.padding.left = 0;
		this.gameover.opacity = 1;
		this.gameover.backgroundColor = "#f0f0f000";
		this.gameover.lineWrap = true;
		this.gameover.border.top = 0;
		this.gameover.border.right = 0;
		this.gameover.border.bottom = 0;
		this.gameover.border.left = 0;
		this.gameover.border.color = "black";
		this.gameover.controlSpacing = 0;
		this.image4.position.top = "110px";
		this.image4.position.left = "120px";
		this.image4.position.height = "120px";
		this.image4.position.width = "190px";
		this.image4.popupMenu = null;
		this.image4.animation.threshold = 0;
		this.image4.animation.duration = 500;
		this.image4.padding.top = 0;
		this.image4.padding.right = 0;
		this.image4.padding.bottom = 0;
		this.image4.padding.left = 0;
		this.image4.opacity = 1;
		this.image4.shadow = "0px 0px 50px -100px #000000";
		this.image4.source = "media%2Fimage%2F573FE1D5-EF31-4BE8-AC81-46DC24CBAC4C.PNG";
		this.image4.shadow = "0px 0px 50px -100px #000000";
		this.image6.position.top = "310px";
		this.image6.position.right = "-30px";
		this.image6.position.left = '';
		this.image6.position.height = "150px";
		this.image6.position.width = "160px";
		this.image6.popupMenu = null;
		this.image6.animation.threshold = 0;
		this.image6.animation.duration = 500;
		this.image6.padding.top = 0;
		this.image6.padding.right = 0;
		this.image6.padding.bottom = 0;
		this.image6.padding.left = 0;
		this.image6.responsiveVisibility.mobile = false;
		this.image6.opacity = 1;
		this.image6.source = "media%2Fimage%2FCDF8383F-0A2D-4947-A60B-BCD9D9F0D24A.PNG";
		this.image6.shadow = '';
		this.top.position.top = "0px";
		this.top.position.right = "0";
		this.top.position.left = "0px";
		this.top.position.height = "20px";
		this.top.popupMenu = null;
		this.top.animation.threshold = 0;
		this.top.animation.duration = 500;
		this.top.padding.top = 0;
		this.top.padding.right = 0;
		this.top.padding.bottom = 0;
		this.top.padding.left = 0;
		this.top.opacity = 1;
		this.top.backgroundColor = "#f0f0f000";
		this.top.lineWrap = true;
		this.top.border.top = 0;
		this.top.border.right = 0;
		this.top.border.bottom = 0;
		this.top.border.left = 0;
		this.top.border.color = "black";
		this.top.controlSpacing = 0;
		this.leftzone.position.top = "20px";
		this.leftzone.position.left = "0px";
		this.leftzone.position.height = "660px";
		this.leftzone.position.width = "10px";
		this.leftzone.popupMenu = null;
		this.leftzone.animation.threshold = 0;
		this.leftzone.animation.duration = 500;
		this.leftzone.padding.top = 0;
		this.leftzone.padding.right = 0;
		this.leftzone.padding.bottom = 0;
		this.leftzone.padding.left = 0;
		this.leftzone.opacity = 1;
		this.leftzone.backgroundColor = "#f0f0f002";
		this.leftzone.lineWrap = true;
		this.leftzone.border.top = 0;
		this.leftzone.border.right = 0;
		this.leftzone.border.bottom = 0;
		this.leftzone.border.left = 0;
		this.leftzone.border.color = "black";
		this.leftzone.controlSpacing = 0;
		this.rightzone.position.top = "20px";
		this.rightzone.position.right = "0";
		this.rightzone.position.left = '';
		this.rightzone.position.height = "660px";
		this.rightzone.position.width = "10px";
		this.rightzone.popupMenu = null;
		this.rightzone.animation.threshold = 0;
		this.rightzone.animation.duration = 500;
		this.rightzone.padding.top = 0;
		this.rightzone.padding.right = 0;
		this.rightzone.padding.bottom = 0;
		this.rightzone.padding.left = 0;
		this.rightzone.opacity = 1;
		this.rightzone.backgroundColor = "#f0f0f002";
		this.rightzone.lineWrap = true;
		this.rightzone.border.top = 0;
		this.rightzone.border.right = 0;
		this.rightzone.border.bottom = 0;
		this.rightzone.border.left = 0;
		this.rightzone.border.color = "black";
		this.rightzone.controlSpacing = 0;
		this.pong.position.top = "390px";
		this.pong.position.left = "340px";
		this.pong.position.height = "60px";
		this.pong.position.width = "60px";
		this.pong.popupMenu = null;
		this.pong.animation.threshold = 0;
		this.pong.animation.duration = 500;
		this.pong.padding.top = 0;
		this.pong.padding.right = 0;
		this.pong.padding.bottom = 0;
		this.pong.padding.left = 0;
		this.pong.opacity = 1;
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.pong.shape = "circle";
		this.pong.strokeWidth = 1;
		this.pong.strokeColor = "#7b5ac2";
		this.pong.fillColor = "#7b5ac2";
		this.panel1.position.top = '';
		this.panel1.position.bottom = "181px";
		this.panel1.position.left = "40%";
		this.panel1.position.height = "30px";
		this.panel1.position.width = "20%";
		this.panel1.popupMenu = null;
		this.panel1.animation.threshold = 0;
		this.panel1.animation.duration = 500;
		this.panel1.padding.top = 0;
		this.panel1.padding.right = 0;
		this.panel1.padding.bottom = 0;
		this.panel1.padding.left = 0;
		this.panel1.opacity = 1;
		this.panel1.borderRadius.northWest = "20px";
		this.panel1.borderRadius.northEast = "20px";
		this.panel1.borderRadius.southWest = "20px";
		this.panel1.borderRadius.southEast = "20px";
		this.panel1.backgroundColor = "#266978";
		this.panel1.lineWrap = true;
		this.panel1.border.top = 0;
		this.panel1.border.right = 0;
		this.panel1.border.bottom = 0;
		this.panel1.border.left = 0;
		this.panel1.border.color = "black";
		this.panel1.controlSpacing = 0;
		this.label1.position.top = "190px";
		this.label1.position.left = "180px";
		this.label1.position.height = "0px";
		this.label1.position.width = "160px";
		this.label1.popupMenu = null;
		this.label1.animation.threshold = 0;
		this.label1.animation.duration = 500;
		this.label1.padding.top = 0;
		this.label1.padding.right = 0;
		this.label1.padding.bottom = 0;
		this.label1.padding.left = 0;
		this.label1.opacity = 1;
		this.label1.backgroundColor = '';
		this.panel2.position.top = '';
		this.panel2.position.bottom = "30px";
		this.panel2.position.left = "calc(50% - 150px)";
		this.panel2.position.height = "100px";
		this.panel2.position.width = "300px";
		this.panel2.popupMenu = null;
		this.panel2.animation.threshold = 0;
		this.panel2.animation.duration = 500;
		this.panel2.padding.top = 0;
		this.panel2.padding.right = 0;
		this.panel2.padding.bottom = 0;
		this.panel2.padding.left = 0;
		this.panel2.opacity = 1;
		this.panel2.backgroundColor = "#f0f0f000";
		this.panel2.lineWrap = true;
		this.panel2.border.top = 0;
		this.panel2.border.right = 0;
		this.panel2.border.bottom = 0;
		this.panel2.border.left = 0;
		this.panel2.border.color = "black";
		this.panel2.controlSpacing = 0;
		this.right_button.position.top = "0px";
		this.right_button.position.left = "190px";
		this.right_button.position.height = "80px";
		this.right_button.position.width = "110px";
		this.right_button.popupMenu = null;
		this.right_button.animation.threshold = 0;
		this.right_button.animation.duration = 500;
		this.right_button.padding.top = 0;
		this.right_button.padding.right = 0;
		this.right_button.padding.bottom = 0;
		this.right_button.padding.left = 0;
		this.right_button.cursor = "pointer";
		this.right_button.opacity = 1;
		this.right_button.shadow = "0px 0px 10px -100px #000000";
		this.right_button.caption = _UIT("right");
		this.right_button.font.color = "var(--app-primary-foreground)";
		this.right_button.font.size = "var(--heading-font-size)";
		this.right_button.font.italic = true;
		this.right_button.backgroundColor = "#610303";
		this.right_button.border.top = 0;
		this.right_button.border.right = 0;
		this.right_button.border.bottom = 0;
		this.right_button.border.left = 0;
		this.right_button.border.color = "black";
		this.right_button.borderRadius.northWest = "0px";
		this.right_button.borderRadius.northEast = "60px";
		this.right_button.borderRadius.southWest = "0px";
		this.right_button.borderRadius.southEast = "60px";
		this.right_button.tag = null;
		this.right_button.setEventName("onClick", "[flowAdapter]");
		this.left_button.position.top = "0px";
		this.left_button.position.left = "0px";
		this.left_button.position.height = "80px";
		this.left_button.position.width = "110px";
		this.left_button.popupMenu = null;
		this.left_button.animation.threshold = 0;
		this.left_button.animation.duration = 500;
		this.left_button.padding.top = 0;
		this.left_button.padding.right = 0;
		this.left_button.padding.bottom = 0;
		this.left_button.padding.left = 0;
		this.left_button.cursor = "pointer";
		this.left_button.opacity = 1;
		this.left_button.caption = _UIT("left");
		this.left_button.font.color = "var(--app-primary-foreground)";
		this.left_button.font.size = "var(--heading-font-size)";
		this.left_button.font.italic = true;
		this.left_button.backgroundColor = "#610303";
		this.left_button.border.top = 0;
		this.left_button.border.right = 0;
		this.left_button.border.bottom = 0;
		this.left_button.border.left = 0;
		this.left_button.border.color = "black";
		this.left_button.borderRadius.northWest = "60px";
		this.left_button.borderRadius.northEast = "0px";
		this.left_button.borderRadius.southWest = "60px";
		this.left_button.borderRadius.southEast = '';
		this.left_button.tag = null;
		this.left_button.setEventName("onClick", "[flowAdapter]");

		this.flowAdapter.flow3.data = _UIT("1");
		this.flowAdapter.flow3.content = _UIT("1");
		this.flowAdapter.flow4.data = _UIT("1");
		this.flowAdapter.flow4.content = _UIT("1");
		this.flowAdapter.flow8.conditionLeft = {"object":this.flowAdapter.flow3,"property":"data"};
		this.flowAdapter.flow8.operator = "=";
		this.flowAdapter.flow8.conditionRight = _UIT("1");
		this.flowAdapter.flow9.methodName = "moveY";
		this.flowAdapter.flow9.object = this.pong;
		this.flowAdapter.flow9.objectPath = null;
		this.flowAdapter.flow9.parameters.content = [{"name":"content","type":"plainarray"},{"name":"delta","type":"int"}];
		this.flowAdapter.flow9.parameters.delta = 2;
		this.flowAdapter.flow9.functionReference = (p1) => this.pong.moveY(this.flowAdapter.flow9.parameters.delta);
		this.flowAdapter.flow10.methodName = "moveY";
		this.flowAdapter.flow10.object = this.pong;
		this.flowAdapter.flow10.objectPath = null;
		this.flowAdapter.flow10.parameters.content = [{"name":"content","type":"plainarray"},{"name":"delta","type":"int"}];
		this.flowAdapter.flow10.parameters.delta = -2;
		this.flowAdapter.flow10.functionReference = (p1) => this.pong.moveY(this.flowAdapter.flow10.parameters.delta);
		this.flowAdapter.flow12.controlOne = this.pong;
		this.flowAdapter.flow12.controlTwo = this.top;
		this.flowAdapter.flow13.controlOne = this.pong;
		this.flowAdapter.flow13.controlTwo = this.gameover;
		this.flowAdapter.flow14.property = {"object":this.flowAdapter.flow3,"property":"data"};
		this.flowAdapter.flow14.value = _UIT("2");
		this.flowAdapter.flow15.property = {"object":this.flowAdapter.flow3,"property":"data"};
		this.flowAdapter.flow15.value = _UIT("1");
		this.flowAdapter.flow17.conditionLeft = {"object":this.flowAdapter.flow4,"property":"content"};
		this.flowAdapter.flow17.operator = "=";
		this.flowAdapter.flow17.conditionRight = _UIT("1");
		this.flowAdapter.flow18.methodName = "moveX";
		this.flowAdapter.flow18.object = this.pong;
		this.flowAdapter.flow18.objectPath = null;
		this.flowAdapter.flow18.parameters.content = [{"name":"content","type":"plainarray"},{"name":"delta","type":"int"}];
		this.flowAdapter.flow18.parameters.delta = -2;
		this.flowAdapter.flow18.functionReference = (p1) => this.pong.moveX(this.flowAdapter.flow18.parameters.delta);
		this.flowAdapter.flow19.methodName = "moveX";
		this.flowAdapter.flow19.object = this.pong;
		this.flowAdapter.flow19.objectPath = null;
		this.flowAdapter.flow19.parameters.content = [{"name":"content","type":"plainarray"},{"name":"delta","type":"int"}];
		this.flowAdapter.flow19.parameters.delta = 2;
		this.flowAdapter.flow19.functionReference = (p1) => this.pong.moveX(this.flowAdapter.flow19.parameters.delta);
		this.flowAdapter.flow20.controlOne = this.pong;
		this.flowAdapter.flow20.controlTwo = this.leftzone;
		this.flowAdapter.flow21.controlOne = this.pong;
		this.flowAdapter.flow21.controlTwo = this.rightzone;
		this.flowAdapter.flow22.property = {"object":this.flowAdapter.flow4,"property":"data"};
		this.flowAdapter.flow22.value = _UIT("2");
		this.flowAdapter.flow23.property = {"object":this.flowAdapter.flow4,"property":"data"};
		this.flowAdapter.flow23.value = _UIT("1");
		this.flowAdapter.flow29.property = {"object":this.XChecker,"property":"active"};
		this.flowAdapter.flow29.value = false;
		this.flowAdapter.flow30.property = {"object":this.YChecker,"property":"active"};
		this.flowAdapter.flow30.value = false;
		this.flowAdapter.flow31.controlOne = this.pong;
		this.flowAdapter.flow31.controlTwo = this.panel1;
		this.flowAdapter.flow32.methodName = "moveX";
		this.flowAdapter.flow32.object = this.panel1;
		this.flowAdapter.flow32.objectPath = null;
		this.flowAdapter.flow32.parameters.content = [{"name":"content","type":"plainarray"},{"name":"delta","type":"int"}];
		this.flowAdapter.flow32.parameters.delta = -20;
		this.flowAdapter.flow32.functionReference = (p1) => this.panel1.moveX(this.flowAdapter.flow32.parameters.delta);
		this.flowAdapter.flow33.methodName = "moveX";
		this.flowAdapter.flow33.object = this.panel1;
		this.flowAdapter.flow33.objectPath = null;
		this.flowAdapter.flow33.parameters.content = [{"name":"content","type":"plainarray"},{"name":"delta","type":"int"}];
		this.flowAdapter.flow33.parameters.delta = 20;
		this.flowAdapter.flow33.functionReference = (p1) => this.panel1.moveX(this.flowAdapter.flow33.parameters.delta);
		this.flowAdapter.flow34.controlOne = this.pong;
		this.flowAdapter.flow34.controlTwo = this.gameover;
		this.flowAdapter.flow35.scene = Scene2;
		this.flowAdapter.flow36.property = {"object":this.XChecker,"property":"active"};
		this.flowAdapter.flow36.value = true;
		this.flowAdapter.flow37.property = {"object":this.YChecker,"property":"active"};
		this.flowAdapter.flow37.value = true;
		this.flowAdapter.flow38.property = {"object":this.pong.position,"property":"top"};
		this.flowAdapter.flow38.value = "20%";
		this.flowAdapter.flow39.property = {"object":this.pong.position,"property":"left"};
		this.flowAdapter.flow39.value = "70%";
		this.flowAdapter.flow8.addOutput('output_1', (...p) => this.flowAdapter.flow9.input(p));
		this.flowAdapter.flow8.addOutput('output_2', (...p) => this.flowAdapter.flow10.input(p));
		this.flowAdapter.flow9.addOutput('output_1', (...p) => this.flowAdapter.flow31.input(p));
		this.flowAdapter.flow10.addOutput('output_1', (...p) => this.flowAdapter.flow12.input(p));
		this.flowAdapter.flow12.addOutput('output_1', (...p) => this.flowAdapter.flow15.input(p));
		this.flowAdapter.flow13.addOutput('output_1', (...p) => this.flowAdapter.flow30.input(p));
		this.flowAdapter.flow13.addOutput('output_1', (...p) => this.flowAdapter.flow29.input(p));
		this.flowAdapter.flow13.addOutput('output_1', (...p) => this.flowAdapter.flow35.input(p));
		this.flowAdapter.flow17.addOutput('output_1', (...p) => this.flowAdapter.flow18.input(p));
		this.flowAdapter.flow17.addOutput('output_2', (...p) => this.flowAdapter.flow19.input(p));
		this.flowAdapter.flow18.addOutput('output_1', (...p) => this.flowAdapter.flow20.input(p));
		this.flowAdapter.flow19.addOutput('output_1', (...p) => this.flowAdapter.flow21.input(p));
		this.flowAdapter.flow20.addOutput('output_1', (...p) => this.flowAdapter.flow22.input(p));
		this.flowAdapter.flow21.addOutput('output_1', (...p) => this.flowAdapter.flow23.input(p));
		this.flowAdapter.flow31.addOutput('output_1', (...p) => this.flowAdapter.flow34.input(p));
		this.flowAdapter.flow31.addOutput('output_2', (...p) => this.flowAdapter.flow13.input(p));
		this.flowAdapter.flow34.addOutput('output_1', (...p) => this.flowAdapter.flow14.input(p));
		if (!VApplication.designTime)
		{
			this.onHandshake = (...p) => {
				this.flowAdapter.flow3.input(p);
				this.flowAdapter.flow4.input(p);
				this.flowAdapter.flow36.input(p);
				this.flowAdapter.flow37.input(p);
				this.flowAdapter.flow38.input(p);
				this.flowAdapter.flow39.input(p);
			};
			this.YChecker.onInterval = (...p) => {
				this.flowAdapter.flow8.input(p);
			};
			this.XChecker.onInterval = (...p) => {
				this.flowAdapter.flow17.input(p);
			};
			this.left_button.onClick = (...p) => {
				this.flowAdapter.flow32.input(p);
			};
			this.right_button.onClick = (...p) => {
				this.flowAdapter.flow33.input(p);
			};
		}
  }
}