import {VButton} from './vwc/sources/standard/button.js';
import {VImage} from './vwc/sources/standard/image.js';
import {VLabel} from './vwc/sources/standard/label.js';
import {VPanel} from './vwc/sources/standard/panel.js';
import {FSceneChanger} from './vwc/sources/standard/scenechanger.js';

import {VApplication} from "./vwc/sources/standard/application.js";
import {VAppScene} from "./vwc/sources/standard/appscene.js";
import {_UIT} from "./vwc/sources/standard/localization_ui.js";
import {_UGF} from "./vwc/sources/standard/globalfunction.js";
import {Scene} from './scene.js';
/**
 * Scene1Gui
 * =========
 * This is the Graphical User Interface (GUI) of Scene1
 * @see Scene1
 */
export class Scene1Gui extends VAppScene
{
  constructor(owner)
  {
  	super(owner);
  	if (VApplication.designTime)
  	{
  		VApplication._sceneClass = 'Scene1Gui';
  	}
		this.name = 'Scene1';
		this.position.height = "100%";
		this.position.width = "100%";
		this.popupMenu = null;
		this.animation.threshold = 0;
		this.animation.duration = 500;
		this.padding.top = 0;
		this.padding.right = 0;
		this.padding.bottom = 0;
		this.padding.left = 0;
		this.opacity = 1;
		this.floating = "full";
		this.scrollBars.horizontal = false;
		this.scrollBars.vertical = false;
		this.backgroundColor = "#abf0ff";
		this.maincloud1 = new VImage(this);
		this.maincloud1.name = 'maincloud1';
		this.maincloud2 = new VImage(this);
		this.maincloud2.name = 'maincloud2';
		this.panel1 = new VPanel(this);
		this.panel1.name = 'panel1';
		this.label1 = new VLabel(this.panel1);
		this.label1.name = 'label1';
		this.image1 = new VImage(this.panel1);
		this.image1.name = 'image1';
		this.play_button = new VButton(this.panel1);
		this.play_button.name = 'play_button';
		this.image2 = new VImage(this);
		this.image2.name = 'image2';
		this.flowAdapter.flow17 = new FSceneChanger(this.flowAdapter);
		this.flowAdapter.flow17.name = 'flow17';

		this.maincloud1.position.top = "20px";
		this.maincloud1.position.left = "500px";
		this.maincloud1.position.height = "160px";
		this.maincloud1.position.width = "190px";
		this.maincloud1.popupMenu = null;
		this.maincloud1.animation.threshold = 0;
		this.maincloud1.animation.duration = 500;
		this.maincloud1.padding.top = 0;
		this.maincloud1.padding.right = 0;
		this.maincloud1.padding.bottom = 0;
		this.maincloud1.padding.left = 0;
		this.maincloud1.opacity = 1;
		this.maincloud1.source = "media%2Fimage%2FFD5DEE93-A8D6-47C0-9541-CEFD8D301BC8.png";
		this.maincloud1.shadow = '';
		this.maincloud2.position.top = "560px";
		this.maincloud2.position.left = "50px";
		this.maincloud2.position.height = "160px";
		this.maincloud2.position.width = "250px";
		this.maincloud2.popupMenu = null;
		this.maincloud2.animation.threshold = 0;
		this.maincloud2.animation.duration = 500;
		this.maincloud2.padding.top = 0;
		this.maincloud2.padding.right = 0;
		this.maincloud2.padding.bottom = 0;
		this.maincloud2.padding.left = 0;
		this.maincloud2.opacity = 1;
		this.maincloud2.source = "media%2Fimage%2F03E54C7F-4BA2-4368-84D4-5C01B7515D80.png";
		this.maincloud2.shadow = '';
		this.panel1.position.top = "0";
		this.panel1.position.left = "0";
		this.panel1.position.height = "400px";
		this.panel1.position.width = "300px";
		this.panel1.popupMenu = null;
		this.panel1.animation.threshold = 0;
		this.panel1.animation.duration = 500;
		this.panel1.padding.top = 0;
		this.panel1.padding.right = 0;
		this.panel1.padding.bottom = 0;
		this.panel1.padding.left = 0;
		this.panel1.margin.top = "50px";
		this.panel1.opacity = 1;
		this.panel1.floating = "centeredRow";
		this.panel1.backgroundColor = "transparent";
		this.panel1.lineWrap = true;
		this.panel1.border.top = 0;
		this.panel1.border.right = 0;
		this.panel1.border.bottom = 0;
		this.panel1.border.left = 0;
		this.panel1.border.color = "black";
		this.panel1.controlSpacing = 0;
		this.label1.position.top = "50px";
		this.label1.position.left = "10px";
		this.label1.position.height = "40px";
		this.label1.position.width = "210px";
		this.label1.popupMenu = null;
		this.label1.animation.threshold = 0;
		this.label1.animation.duration = 500;
		this.label1.padding.top = 0;
		this.label1.padding.right = 0;
		this.label1.padding.bottom = 0;
		this.label1.padding.left = 0;
		this.label1.opacity = 1;
		this.label1.caption = _UIT("Welcome To:");
		this.label1.font.color = "#4251a3";
		this.label1.font.size = "30px";
		this.label1.font.italic = true;
		this.label1.backgroundColor = '';
		this.image1.position.top = "90px";
		this.image1.position.left = "0px";
		this.image1.position.height = "220px";
		this.image1.position.width = "290px";
		this.image1.popupMenu = null;
		this.image1.animation.threshold = 0;
		this.image1.animation.duration = 500;
		this.image1.padding.top = 0;
		this.image1.padding.right = 0;
		this.image1.padding.bottom = 0;
		this.image1.padding.left = 0;
		this.image1.opacity = 1;
		this.image1.source = "media%2Fimage%2FE4ECDA3D-06AB-4F3A-B513-59E6D6956C0B.png";
		this.image1.shadow = '';
		this.play_button.position.top = "320px";
		this.play_button.position.left = "10px";
		this.play_button.position.height = "40px";
		this.play_button.position.width = "280px";
		this.play_button.popupMenu = null;
		this.play_button.animation.threshold = 0;
		this.play_button.animation.duration = 500;
		this.play_button.padding.top = 0;
		this.play_button.padding.right = 0;
		this.play_button.padding.bottom = 0;
		this.play_button.padding.left = 0;
		this.play_button.cursor = "pointer";
		this.play_button.opacity = 1;
		this.play_button.shadow = "0px 0px 10px -100px #000000";
		this.play_button.caption = _UIT("Play");
		this.play_button.font.color = "var(--app-primary-foreground)";
		this.play_button.font.size = "var(--heading-font-size)";
		this.play_button.font.italic = true;
		this.play_button.backgroundColor = "#4bf581";
		this.play_button.border.top = 0;
		this.play_button.border.right = 0;
		this.play_button.border.bottom = 0;
		this.play_button.border.left = 0;
		this.play_button.border.color = "black";
		this.play_button.borderRadius.northWest = "20px";
		this.play_button.borderRadius.northEast = "20px";
		this.play_button.borderRadius.southWest = "20px";
		this.play_button.borderRadius.southEast = "20px";
		this.play_button.tag = null;
		this.play_button.setEventName("onClick", "[flowAdapter]");
		this.image2.position.top = "610px";
		this.image2.position.left = "930px";
		this.image2.position.height = "150px";
		this.image2.position.width = "320px";
		this.image2.popupMenu = null;
		this.image2.animation.threshold = 0;
		this.image2.animation.duration = 500;
		this.image2.padding.top = 0;
		this.image2.padding.right = 0;
		this.image2.padding.bottom = 0;
		this.image2.padding.left = 0;
		this.image2.opacity = 1;
		this.image2.source = "media%2Fimage%2FB46C5394-7D6D-45EC-88FF-C1EE2E17DD7F.PNG";
		this.image2.shadow = '';

		this.flowAdapter.flow17.scene = Scene;
		this.flowAdapter.flow17.handshake = '';
		if (!VApplication.designTime)
		{
			this.play_button.onClick = (...p) => {
				this.flowAdapter.flow17.input(p);
			};
		}
  }
}