import {VButton} from './vwc/sources/standard/button.js';
import {VImage} from './vwc/sources/standard/image.js';
import {VLabel} from './vwc/sources/standard/label.js';
import {VPanel} from './vwc/sources/standard/panel.js';
import {FSceneChanger} from './vwc/sources/standard/scenechanger.js';

import {VApplication} from "./vwc/sources/standard/application.js";
import {VAppScene} from "./vwc/sources/standard/appscene.js";
import {_UIT} from "./vwc/sources/standard/localization_ui.js";
import {_UGF} from "./vwc/sources/standard/globalfunction.js";
import {Scene} from './scene.js';
import {Scene1} from './scene1.js';
/**
 * Scene2Gui
 * =========
 * This is the Graphical User Interface (GUI) of Scene2
 * @see Scene2
 */
export class Scene2Gui extends VAppScene
{
  constructor(owner)
  {
  	super(owner);
  	if (VApplication.designTime)
  	{
  		VApplication._sceneClass = 'Scene2Gui';
  	}
		this.name = 'Scene2';
		this.position.height = "100%";
		this.position.width = "100%";
		this.popupMenu = null;
		this.animation.threshold = 0;
		this.animation.duration = 500;
		this.padding.top = 0;
		this.padding.right = 0;
		this.padding.bottom = 0;
		this.padding.left = 0;
		this.opacity = 1;
		this.floating = "full";
		this.scrollBars.horizontal = false;
		this.scrollBars.vertical = false;
		this.backgroundColor = "#abf0ff";
		this.image1 = new VImage(this);
		this.image1.name = 'image1';
		this.image2 = new VImage(this);
		this.image2.name = 'image2';
		this.panel1 = new VPanel(this);
		this.panel1.name = 'panel1';
		this.label2 = new VLabel(this.panel1);
		this.label2.name = 'label2';
		this.playagain = new VButton(this.panel1);
		this.playagain.name = 'playagain';
		this.backstart = new VButton(this.panel1);
		this.backstart.name = 'backstart';
		this.image3 = new VImage(this);
		this.image3.name = 'image3';
		this.flowAdapter.flow15 = new FSceneChanger(this.flowAdapter);
		this.flowAdapter.flow15.name = 'flow15';
		this.flowAdapter.flow18 = new FSceneChanger(this.flowAdapter);
		this.flowAdapter.flow18.name = 'flow18';

		this.image1.position.top = "630px";
		this.image1.position.left = "40px";
		this.image1.position.height = "140px";
		this.image1.position.width = "160px";
		this.image1.popupMenu = null;
		this.image1.animation.threshold = 0;
		this.image1.animation.duration = 500;
		this.image1.padding.top = 0;
		this.image1.padding.right = 0;
		this.image1.padding.bottom = 0;
		this.image1.padding.left = 0;
		this.image1.opacity = 1;
		this.image1.source = "media%2Fimage%2FB46C5394-7D6D-45EC-88FF-C1EE2E17DD7F.PNG";
		this.image1.shadow = '';
		this.image2.position.top = "110px";
		this.image2.position.left = "190px";
		this.image2.position.height = "150px";
		this.image2.position.width = "190px";
		this.image2.popupMenu = null;
		this.image2.animation.threshold = 0;
		this.image2.animation.duration = 500;
		this.image2.padding.top = 0;
		this.image2.padding.right = 0;
		this.image2.padding.bottom = 0;
		this.image2.padding.left = 0;
		this.image2.opacity = 0.4;
		this.image2.source = "media%2Fimage%2FB46C5394-7D6D-45EC-88FF-C1EE2E17DD7F.PNG";
		this.image2.shadow = '';
		this.panel1.position.top = "0";
		this.panel1.position.left = "0";
		this.panel1.position.height = "400px";
		this.panel1.position.width = "300px";
		this.panel1.popupMenu = null;
		this.panel1.animation.threshold = 0;
		this.panel1.animation.duration = 500;
		this.panel1.padding.top = 0;
		this.panel1.padding.right = 0;
		this.panel1.padding.bottom = 0;
		this.panel1.padding.left = 0;
		this.panel1.opacity = 1;
		this.panel1.floating = "centeredRow";
		this.panel1.scrollBars.horizontal = false;
		this.panel1.scrollBars.vertical = false;
		this.panel1.backgroundColor = "#f0f0f000";
		this.panel1.lineWrap = true;
		this.panel1.border.top = 0;
		this.panel1.border.right = 0;
		this.panel1.border.bottom = 0;
		this.panel1.border.left = 0;
		this.panel1.border.color = "black";
		this.panel1.controlSpacing = 0;
		this.label2.position.top = "120px";
		this.label2.position.left = "20px";
		this.label2.position.height = "70px";
		this.label2.position.width = "290px";
		this.label2.popupMenu = null;
		this.label2.animation.threshold = 0;
		this.label2.animation.duration = 500;
		this.label2.padding.top = 0;
		this.label2.padding.right = 0;
		this.label2.padding.bottom = 0;
		this.label2.padding.left = 0;
		this.label2.opacity = 1;
		this.label2.caption = _UIT("You lost! :(");
		this.label2.font.size = "50px";
		this.label2.font.italic = true;
		this.label2.backgroundColor = '';
		this.playagain.position.top = "230px";
		this.playagain.position.left = "10px";
		this.playagain.position.height = "50px";
		this.playagain.position.width = "280px";
		this.playagain.popupMenu = null;
		this.playagain.animation.threshold = 0;
		this.playagain.animation.duration = 500;
		this.playagain.padding.top = 0;
		this.playagain.padding.right = 0;
		this.playagain.padding.bottom = 0;
		this.playagain.padding.left = 0;
		this.playagain.cursor = "pointer";
		this.playagain.opacity = 1;
		this.playagain.caption = _UIT("Play again");
		this.playagain.font.color = "var(--app-primary-foreground)";
		this.playagain.font.size = "var(--heading-font-size)";
		this.playagain.font.italic = true;
		this.playagain.backgroundColor = "#007826";
		this.playagain.border.top = 0;
		this.playagain.border.right = 0;
		this.playagain.border.bottom = 0;
		this.playagain.border.left = 0;
		this.playagain.border.color = "black";
		this.playagain.borderRadius.northWest = "20px";
		this.playagain.borderRadius.northEast = "20px";
		this.playagain.borderRadius.southWest = "20px";
		this.playagain.borderRadius.southEast = "20px";
		this.playagain.tag = null;
		this.playagain.setEventName("onClick", "[flowAdapter]");
		this.backstart.position.top = "320px";
		this.backstart.position.left = "10px";
		this.backstart.position.height = "50px";
		this.backstart.position.width = "280px";
		this.backstart.popupMenu = null;
		this.backstart.animation.threshold = 0;
		this.backstart.animation.duration = 500;
		this.backstart.padding.top = 0;
		this.backstart.padding.right = 0;
		this.backstart.padding.bottom = 0;
		this.backstart.padding.left = 0;
		this.backstart.cursor = "pointer";
		this.backstart.opacity = 1;
		this.backstart.caption = _UIT("Back to start");
		this.backstart.font.color = "var(--app-primary-foreground)";
		this.backstart.font.size = "var(--heading-font-size)";
		this.backstart.font.italic = true;
		this.backstart.backgroundColor = "#610303";
		this.backstart.border.top = 0;
		this.backstart.border.right = 0;
		this.backstart.border.bottom = 0;
		this.backstart.border.left = 0;
		this.backstart.border.color = "black";
		this.backstart.borderRadius.northWest = "20px";
		this.backstart.borderRadius.northEast = "20px";
		this.backstart.borderRadius.southWest = "20px";
		this.backstart.borderRadius.southEast = "20px";
		this.backstart.tag = null;
		this.backstart.setEventName("onClick", "[flowAdapter]");
		this.image3.position.top = "450px";
		this.image3.position.left = "980px";
		this.image3.position.height = "210px";
		this.image3.position.width = "300px";
		this.image3.popupMenu = null;
		this.image3.animation.threshold = 0;
		this.image3.animation.duration = 500;
		this.image3.padding.top = 0;
		this.image3.padding.right = 0;
		this.image3.padding.bottom = 0;
		this.image3.padding.left = 0;
		this.image3.opacity = 1;
		this.image3.source = "media%2Fimage%2FB46C5394-7D6D-45EC-88FF-C1EE2E17DD7F.PNG";
		this.image3.shadow = '';

		this.flowAdapter.flow15.scene = Scene;
		this.flowAdapter.flow15.handshake = '';
		this.flowAdapter.flow18.scene = Scene1;
		if (!VApplication.designTime)
		{
			this.playagain.onClick = (...p) => {
				this.flowAdapter.flow15.input(p);
			};
			this.backstart.onClick = (...p) => {
				this.flowAdapter.flow18.input(p);
			};
		}
  }
}